package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("加工记录合并批量汇报查询报表")
public class MesProductionRecordReportExtModel implements Serializable {

    private static final long serialVersionUID = 7580273561023637832L;

    @ApiParam(value = "组织代码")
    private String organizeCode;

    @ApiParam(value = "物料编号")
    private String partNo;

    @ApiParam(value = "物料名称")
    private String partName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    private String workCellCode;

    @ApiParam(value = "数量")
    private Integer qty;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam(value = "设备代码")
    public String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam(value = "汇报状态")
    private String reportStatusList;

    @ApiParam(value = "完成时间开始日期")
    private String completeDateTimeStart;

    @ApiParam(value = "完成时间结束日期")
    private String completeDateTimeEnd;

    @ApiParam("是否查询工单日志表")
    private Boolean isQueryWo = false;

    public MesProductionRecordReportExtModel() {}

    public MesProductionRecordReportExtModel(String partNo, String partName, String workCenterCode, String workCellCode, String shiftCode, String equipmentCode, String equipmentName, Integer statisticsQty) {
        this.partNo = partNo;
        this.partName = partName;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.shiftCode = shiftCode;
        this.equipmentCode = equipmentCode;
        this.equipmentName = equipmentName;
        this.qty = statisticsQty;
    }
}
